Index: SPECS/glibc.spec
===================================================================
--- SPECS.orig/glibc.spec
+++ SPECS/glibc.spec
@@ -3,7 +3,7 @@
 %define glibcsrcdir glibc-20070515T2025
 %define glibc_release_tarballs 0
 %define glibcversion 2.6
-%define glibcrelease 3
+%define glibcrelease 3.fa3
 %define auxarches i586 i686 athlon sparcv9 alphaev6
 %define xenarches i686 athlon
 %ifarch %{xenarches}
@@ -250,12 +250,18 @@ mv glibc-ports-%{glibcversion} ports
 %patch1 -p1
 %endif
 %endif
+perl -pi -e "s/-nostdlib//" configure
 
 # Hack till glibc-kernheaders get updated, argh
 mkdir -p override_headers/linux
 cat > override_headers/linux/version.h <<EOF
+%ifnarch %{arm}
 #define UTS_RELEASE "2.6.9"
 #define LINUX_VERSION_CODE 132617
+%else
+#define UTS_RELEASE "2.6.16"
+#define LINUX_VERSION_CODE 132624
+%endif
 #define KERNEL_VERSION(a,b,c) (((a) << 16) + ((b) << 8) + (c))
 EOF
 mkdir -p override_headers/asm
@@ -852,8 +858,14 @@ build_CFLAGS="$BuildFlags -g -O3 $*"
 CC="$GCC" CXX="$GXX" CFLAGS="$build_CFLAGS" ../configure --prefix=%{_prefix} \
 	--enable-add-ons=nptl$AddOns --without-cvs $EnableKernel \
 	--with-headers=`cd ..; pwd`/override_headers:%{_prefix}/include --enable-bind-now \
-	--with-tls --with-__thread --build %{nptl_target_cpu}-redhat-linux \
+	--with-tls --with-__thread \
+%ifnarch %{arm}
+	--build %{nptl_target_cpu}-redhat-linux \
 	--host %{nptl_target_cpu}-redhat-linux \
+%else
+	--build %{nptl_target_cpu}-redhat-linux-gnueabi \
+	--host %{nptl_target_cpu}-redhat-linux-gnueabi \
+%endif
 	--disable-profile
 make %{?_smp_mflags} -r CFLAGS="$build_CFLAGS" PARALLELMFLAGS=-s
 
@@ -865,6 +877,10 @@ build_nptl linuxnptl
 %if %{buildxen}
 build_nptl linuxnptl-nosegneg -mno-tls-direct-seg-refs
 %endif
+%ifarch %{arm}
+%define enablekernel 2.6.16
+BuildFlags="-march=armv5te"
+%endif
 
 %if %{buildpower6}
 (
